﻿-- Author      : nnp_home
-- Create Date : 9/3/2012 8:19:25 AM

RCLootCouncil_LootHistory = RCLootCouncil:NewModule("RCLootHistory")
local lootDB;
--[[ lootDB format:
	lootDB = {			
		"playerName" = {
					[#] = {"lootWon", "date (d/m/y)", "time (h:m:s)", "instance", "boss", "votes", "itemReplaced1", "itemReplaced2", "response", "responseID"}
		},
	}
]]

function RCLootCouncil_LootHistory:OnEnable()
	lootDB = RCLootCouncil.db.factionrealm.lootDB -- get the db
	local i = 1;
	for k,v in pairs(lootDB) do 
		local button = CreateFrame ("Button", "$parentButton"..i, RCLootHistoryFrameContent1, "RCLootHistoryExpandableButton")
		getglobal(button:GetName().."Text"):SetText(k)
		if i == 1 then -- the first time
			button:SetPoint("TOPLEFT", 3, -3)
		else
			button:SetPoint("TOP", "$parentButton"..(i-1), "BOTTOM");
		end
		button:Show()
		i = i + 1;
	end
	RCLootHistoryFrame:Show()
end

function RCLootCouncil_LootHistory:ButtonOnClick(name)
	if name == "all" then -- show all button
		
	end
end

function RCLootCouncil_LootHistory:NameButtonOnClick(button)
	local name = getglobal(button:GetName().."Text"):GetText()
	local textToAdd = "";
	for number, content in pairs(lootDB[name]) do
		textToAdd = textToAdd.."\n["..number.."] = {";
		textToAdd = textToAdd.."\n       Instance:  "..content["instance"];
		textToAdd = textToAdd.."\n       Boss:      "..content["boss"];
		textToAdd = textToAdd.."\n       Date/time: "..content["date"].." "..content["time"];
		textToAdd = textToAdd.."\n       Item won:  "..content["lootWon"];
		if content["itemReplaced2"] and content["itemReplaced2"] ~= "" then
			textToAdd = textToAdd.."\n       Replaced:  "..content["itemReplaced1"].." and/or";
			textToAdd = textToAdd.."\n                  "..content["itemReplaced2"];
		elseif content["itemReplaced1"] then
			textToAdd = textToAdd.."\n       Replaced:  "..content["itemReplaced1"];
		end
		textToAdd = textToAdd.."\n       Response:  "..content["response"];
		textToAdd = textToAdd.."\n       Votes:     "..tostring(content["votes"]);
		textToAdd = textToAdd.."\n}";
	end
	getglobal("RCLootHistoryFrameContent2"):SetText(textToAdd)
end